---
apiVersion: v1
kind: Service
metadata:
  annotations:
    config.kubernetes.io/origin: |
      configuredIn: base/kustomization.yaml
      configuredBy:
        apiVersion: builtin
        kind: HelmChartInflationGenerator
  labels:
    app.kubernetes.io/component: adapter-mqtt
    app.kubernetes.io/instance: hono
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: hono
    app.kubernetes.io/version: 2.1.1
    helm.sh/chart: hono-2.1.5
  name: hono-adapter-mqtt
  namespace: hono
spec:
  ports:
  - name: mqtt
    port: 1883
    protocol: TCP
    targetPort: mqtt
  - name: secure-mqtt
    port: 8883
    protocol: TCP
    targetPort: secure-mqtt
  selector:
    app.kubernetes.io/component: adapter-mqtt
    app.kubernetes.io/instance: hono
    app.kubernetes.io/name: hono
  type: LoadBalancer
